Bug 36798 - gcc 2.69-96 can not compile JNI code.
gcc 2.69-96 can not compile JNI code.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-20 08:35 EDT by Jean van Wyk
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 09:18:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean van Wyk 2001-04-20 08:35:58 EDT
Hi there,

I would like to report a problem with the latest RPMS for gcc for RedHat
7.0.  The full version is gcc 2.96-69.  Thi problem has been verified by
three different people.  It does not occur with the gcc that comes out with
RedHat 7.0 by default.

gcc can not compile a JNI fle (Java Native Interface) because it has
problems with the JNIEXPORT macro.  This has been verified on various JDK's.

Thank you very much for your time.

Regards
Jean

(PS. I can send you more detail if I have an E-mail address.)
Comment 1 Jakub Jelinek 2001-04-20 09:18:23 EDT
Please provide more details, ideally all the relevant macros and what does
JNI expect them to be preprocessed into.
Also, does it work with the gcc shipped in RHL 7.1 (cpp-2.96-81 + gcc-2.96-81)?
cpp-2.96-RH since 2.96-72 has a new lexer so things might change a lot.
Comment 2 Jakub Jelinek 2001-09-06 13:12:46 EDT
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.